/************************************************************************/
/* Projekt : "lc1116a.dll" - biblioteka DLL WINDOWS dla karty LC-011-1612 */
/* Plik implementacyjny biblioteki DLL dla karty AMBEX LC-011-1612		*/
/* Typ : Windows 16																		*/
/* Autor : Krzysztof Mroczek 1996                                       */
/************************************************************************/
#define  STRICT
#include <windows.h>
//#include <alloc.h>
#pragma hdrstop

#define _EXPORT _export
#include  <toolhelp.h>
#include  <dos.h>
#include  "lc2008a.h"
#include  "2008int.h"
#include	 "px.h"

CModuleData *ModWsk[4]	;
Class1 *px ;
global GData				;

// parametry LibMain()
 HINSTANCE	DLLInst			; //
 WORD			DLLDseg			; // ~
 WORD       DLLHeap			; // ~


/******************************************************************/
/*******************************************************************
 Funkcja LibMain : inicjacja biblioteki DLL oraz zmiennych programu
  i wczytanie parametrow z pliku konfiguracyjnego .
 Parametry wejciowe :
	hInstance : deskryptor biblioteki DLL
	wDataSegment : nie uywane
	wHeapSize : nie uywane
	lpszCmdLine : nie uzywane .
 Rezultat :
  1 - bez bdu
  0 - by bd
*******************************************************************/
#pragma argsused
#if defined(__FLAT__)
BOOL WINAPI DllEntryPoint( HINSTANCE hinstDll,
									DWORD fdwRreason,
									LPVOID plvReserved)
#else
int FAR PASCAL LibMain( HINSTANCE hInstance,
								WORD wDataSegment,
								WORD wHeapSize,
								LPSTR lpszCmdLine )
#endif
{
#ifndef  __FLAT__


	 if ( wHeapSize != 0 )
		  UnlockData( 0 );
#endif
	DLLInst = hInstance ;
	DLLDseg = wDataSegment ;
	DLLHeap = wHeapSize ;
	GData.modules = 0;
	GData.globalinit = FALSE ;
	GData.WinFlags = GetWinFlags();

	ModWsk[0] = new CModuleData(BASEA);
	ModWsk[1] = new CModuleData(BASEB);
	ModWsk[2] = new CModuleData(BASEC);
	ModWsk[3] = new CModuleData(BASED);

	if((ModWsk[0]==NULL)||(ModWsk[1]==NULL)||(ModWsk[2]==NULL)||(ModWsk[3]==NULL))
	 {
		//bd fatalny
		return 0 ;
	 }
	LoadParameters();


	px		 = new Class1();

	GData.DMAError=LC0_OK ;

	GData.DMAAdress = 0;
	if(GData.DMAError!=LC0_OK)
	 {
	  //kontrolka
	  ::MessageBeep(-1);
	  return 0 ; //bd fatalny
	 }
	return 1;
}

#pragma argsused
/*************************************************************************
  Funkcja WEP :
	Zakonczenie pracy biblioteki DLL .
  Parametry wejciowe :
	bSystemExit : nie uywane
  Rezultat :
	1 - OK.
*************************************************************************/
int FAR PASCAL WEP ( int bSystemExit )
{
	 return 1;
}

